com.icesoft.faces.facelets.component.select

## Class SelectInputTime

- java.lang.Object
- - com.icesoft.faces.facelets.component.select.SelectInputCalendar
  - - com.icesoft.faces.facelets.component.select.SelectInputTime

- All Implemented Interfaces:
    java.io.Serializable

      public class SelectInputTime
      extends SelectInputCalendar

  Backing bean that should be used with the SelectInputTime component. The intended use is to only use the bean with SelectInputTime and ideally only manipulate the SelectInputCalendar calendar instance variable. If the api you are interacting with uses Date object then it can be easily be changed to a GregorianCalendar object with the method setTime(). For example:

  someSelectInputCalendar.setDate(myDate);
  Author:
    ICEfaces Technologies Inc.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.facelets.component.select.SelectInputCalendar

      `calendar, NUMBER_OF_YEARS_DISPLAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectInputTime()` Creates a new SelectInputCalendar object.
    `SelectInputTime(java.util.TimeZone timezone)` Creates a new SelectInputCalendar object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.GregorianCalendar` | `getCalendar()`
    `int` | `getHour()`
    `javax.faces.model.SelectItem[]` | `getHours()`
    `int` | `getMinute()`
    `javax.faces.model.SelectItem[]` | `getMinutes()`
    `java.lang.String` | `getTimeZoneAsString()` Gets the timezone used by the GregorianCalendar instance as a readable string such as PST or GMT
    `void` | `hourChanged(javax.faces.event.ValueChangeEvent event)` When the hour dropdown is changed we'll want to update the backing values (GregorianCalendar, bean value)
    `void` | `minuteChanged(javax.faces.event.ValueChangeEvent event)` When the minute dropdown is changed we'll want to update the backing values (GregorianCalendar, bean value)
    `void` | `setCalendar(java.util.GregorianCalendar calendar)`
    `void` | `setHour(int hour)`
    `void` | `setMinute(int minute)`
    `protected void` | `updateCalendarValues()` Converts the calendar values into three primary values, year, month and day, represented by ints.

    - ### Methods inherited from class com.icesoft.faces.facelets.component.select.SelectInputCalendar

      `dayChanged, getDay, getDays, getMonth, getMonths, getYear, getYears, monthChanged, setDate, setDay, setDefaultMaxDays, setMaxYears, setMonth, setTimeZone, setYear, yearChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectInputTime

          public SelectInputTime(java.util.TimeZone timezone)

      Creates a new SelectInputCalendar object. This method will automatically sync the calendar with the current date.
      Parameters:
        `timezone` - timezone that the calendar resides in.

    - #### SelectInputTime

          public SelectInputTime()

      Creates a new SelectInputCalendar object. This method will automatically sync the calendar with the current date. The server's current timezone is used for this instance.

  - ### Method Detail

    - #### hourChanged

          public void hourChanged(javax.faces.event.ValueChangeEvent event)

      When the hour dropdown is changed we'll want to update the backing values (GregorianCalendar, bean value)
      Parameters:
        `event` - of the change

    - #### minuteChanged

          public void minuteChanged(javax.faces.event.ValueChangeEvent event)

      When the minute dropdown is changed we'll want to update the backing values (GregorianCalendar, bean value)
      Parameters:
        `event` - of the change

    - #### getTimeZoneAsString

          public java.lang.String getTimeZoneAsString()

      Gets the timezone used by the GregorianCalendar instance as a readable string such as PST or GMT
      Returns:
        timezone from the GregorianCalendar as a string

    - #### updateCalendarValues

          protected void updateCalendarValues()

      Converts the calendar values into three primary values, year, month and day, represented by ints.
      Overrides:
        `updateCalendarValues` in class `SelectInputCalendar`

    - #### getCalendar

          public java.util.GregorianCalendar getCalendar()

      Overrides:
        `getCalendar` in class `SelectInputCalendar`

    - #### setCalendar

          public void setCalendar(java.util.GregorianCalendar calendar)

      Overrides:
        `setCalendar` in class `SelectInputCalendar`

    - #### getHours

          public javax.faces.model.SelectItem[] getHours()

    - #### getMinutes

          public javax.faces.model.SelectItem[] getMinutes()

    - #### getHour

          public int getHour()

    - #### setHour

          public void setHour(int hour)

    - #### getMinute

          public int getMinute()

    - #### setMinute

          public void setMinute(int minute)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.